package kr.co.hanwha.hifive.adapter.contract;

import android.support.annotation.NonNull;
import android.widget.Filter;

import java.util.ArrayList;

import kr.co.hanwha.hifive.data.model.CampaignData;
import kr.co.hanwha.hifive.data.model.ProjectCampaignData;

/**
 * Quest Campaign 목록 어댑터 Interface
 * Created by sanghoonkwon on 2018. 2. 21..
 */

public interface AddTaskSelectCampaignListContract {
    interface OnSelectCampaignListListener {
        void onItemClicked(@NonNull CampaignData data, int index);
    }

    interface View {
        void notifyDataAll();

        void notifyDataRangeChanged(int positionStart, int itemCount);
    }

    interface Model {
        void clearItems();

        void addItem(ProjectCampaignData data, int index);

        void addItems(ArrayList<ProjectCampaignData> list);

        Filter getFilter();

        void setSelectedCampaignKey(String selectedCampaignKey);
    }
}
